package org.jeecg.modules.stm.utils;

import java.util.List;
import java.util.Map;
import java.util.TreeMap;

public class DirectoryItem {
    private String title;
    private String content;
    private Map<String, List<String[]>> subItems;

    public DirectoryItem() {
        this.subItems = new TreeMap<String,List<String[]>>();
    }

    public void addSubItem(String key,List<String[]> values)  {
        subItems.put(key,values);
    }

    public String getTitle() {
        return this.title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return this.content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Map<String,List<String[]>> getSubItems() {
        return subItems;
    }

    public void setSubItems(Map<String,List<String[]>> items) {
        this.subItems = items;
    }
}
